Bullet Collision Detection & Physics Library: btBroadphaseProxy Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
btBroadphaseProxy Struct Reference

The btBroadphaseProxy is the main class that can be used with the Bullet broadphases. More...

`#include <btBroadphaseProxy.h>`

Inheritance diagram for btBroadphaseProxy:
[legend]
Collaboration diagram for btBroadphaseProxy:
[legend]

## Public Types
enum | CollisionFilterGroups { DefaultFilter = 1 , StaticFilter = 2 , KinematicFilter = 4 , DebrisFilter = 8 , SensorTrigger = 16 , CharacterFilter = 32 , AllFilter = -1 }
| optional filtering to cull potential collisions More...

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
int | getUid () const
| btBroadphaseProxy ()
| btBroadphaseProxy (const btVector3 &aabbMin, const btVector3 &aabbMax, void *userPtr, int collisionFilterGroup, int collisionFilterMask)

## Static Public Member Functions
static bool | isPolyhedral (int proxyType)
static bool | isConvex (int proxyType)
static bool | isNonMoving (int proxyType)
static bool | isConcave (int proxyType)
static bool | isCompound (int proxyType)
static bool | isSoftBody (int proxyType)
static bool | isInfinite (int proxyType)
static bool | isConvex2d (int proxyType)

## Public Attributes
void * | m_clientObject
int | m_collisionFilterGroup
int | m_collisionFilterMask
int | m_uniqueId
btVector3 | m_aabbMin
btVector3 | m_aabbMax

## Detailed Description

The btBroadphaseProxy is the main class that can be used with the Bullet broadphases.

It stores collision shape type information, collision filter information and a client object, typically a btCollisionObject or btRigidBody.

Definition at line 84 of file btBroadphaseProxy.h.

## Member Enumeration Documentation

## ◆ CollisionFilterGroups

enum btBroadphaseProxy::CollisionFilterGroups

optional filtering to cull potential collisions

Enumerator
DefaultFilter |
StaticFilter |
KinematicFilter |
DebrisFilter |
SensorTrigger |
CharacterFilter |
AllFilter |

Definition at line 90 of file btBroadphaseProxy.h.

## Constructor & Destructor Documentation

## ◆ btBroadphaseProxy() [1/2]

btBroadphaseProxy::btBroadphaseProxy | ( |  | ) |
| inline

Definition at line 117 of file btBroadphaseProxy.h.

## ◆ btBroadphaseProxy() [2/2]

btBroadphaseProxy::btBroadphaseProxy | ( | const btVector3 & | aabbMin,
|  | const btVector3 & | aabbMax,
|  | void * | userPtr,
|  | int | collisionFilterGroup,
|  | int | collisionFilterMask
| ) |  |
| inline

Definition at line 121 of file btBroadphaseProxy.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btBroadphaseProxy::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ getUid()

int btBroadphaseProxy::getUid | ( |  | ) | const
| inline

Definition at line 111 of file btBroadphaseProxy.h.

## ◆ isCompound()

static bool btBroadphaseProxy::isCompound | ( | int | proxyType | ) |
| inlinestatic

Definition at line 150 of file btBroadphaseProxy.h.

## ◆ isConcave()

static bool btBroadphaseProxy::isConcave | ( | int | proxyType | ) |
| inlinestatic

Definition at line 145 of file btBroadphaseProxy.h.

## ◆ isConvex()

static bool btBroadphaseProxy::isConvex | ( | int | proxyType | ) |
| inlinestatic

Definition at line 135 of file btBroadphaseProxy.h.

## ◆ isConvex2d()

static bool btBroadphaseProxy::isConvex2d | ( | int | proxyType | ) |
| inlinestatic

Definition at line 165 of file btBroadphaseProxy.h.

## ◆ isInfinite()

static bool btBroadphaseProxy::isInfinite | ( | int | proxyType | ) |
| inlinestatic

Definition at line 160 of file btBroadphaseProxy.h.

## ◆ isNonMoving()

static bool btBroadphaseProxy::isNonMoving | ( | int | proxyType | ) |
| inlinestatic

Definition at line 140 of file btBroadphaseProxy.h.

## ◆ isPolyhedral()

static bool btBroadphaseProxy::isPolyhedral | ( | int | proxyType | ) |
| inlinestatic

Definition at line 130 of file btBroadphaseProxy.h.

## ◆ isSoftBody()

static bool btBroadphaseProxy::isSoftBody | ( | int | proxyType | ) |
| inlinestatic

Definition at line 155 of file btBroadphaseProxy.h.

## Member Data Documentation

## ◆ m_aabbMax

btVector3 btBroadphaseProxy::m_aabbMax

Definition at line 109 of file btBroadphaseProxy.h.

## ◆ m_aabbMin

btVector3 btBroadphaseProxy::m_aabbMin

Definition at line 108 of file btBroadphaseProxy.h.

## ◆ m_clientObject

void* btBroadphaseProxy::m_clientObject

Definition at line 102 of file btBroadphaseProxy.h.

## ◆ m_collisionFilterGroup

int btBroadphaseProxy::m_collisionFilterGroup

Definition at line 103 of file btBroadphaseProxy.h.

## ◆ m_collisionFilterMask

int btBroadphaseProxy::m_collisionFilterMask

Definition at line 104 of file btBroadphaseProxy.h.

## ◆ m_uniqueId

int btBroadphaseProxy::m_uniqueId

Definition at line 106 of file btBroadphaseProxy.h.

The documentation for this struct was generated from the following file:

- btBroadphaseProxy.h